package com.blamejared.compat.botania.lexicon;

import com.blamejared.mtlib.helpers.LogHelper;
import vazkii.botania.api.lexicon.LexiconEntry;
import vazkii.botania.api.lexicon.LexiconCategory;
import vazkii.botania.api.BotaniaAPI;
import com.blamejared.mtlib.helpers.InputHelper;
import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import crafttweaker.api.item.IItemStack;
import crafttweaker.IAction;

public class AddEntry implements IAction
{
    private String entry;
    private String catagory;
    private IItemStack stack;
    
    public AddEntry(final String entry, final String catagory, final IItemStack stack) {
        this.entry = entry;
        this.catagory = catagory;
        this.stack = stack;
    }
    
    public void apply() {
        final LexiconCategory lexiconCategory = BotaniaHelper.findCatagory(this.catagory);
        if (lexiconCategory == null) {
            CraftTweakerAPI.getLogger().logError("Cannot find lexicon category " + this.catagory);
            return;
        }
        final LexiconEntry lexiconEntry = new UsefulEntry(this.entry, lexiconCategory);
        lexiconEntry.setIcon(InputHelper.toStack(this.stack));
        BotaniaAPI.addEntry(lexiconEntry, lexiconEntry.category);
    }
    
    public String describe() {
        return "Adding Lexicon entry: " + LogHelper.getStackDescription((Object)this.entry);
    }
}
